HealthCheckerDetails¶
- class oci.load_balancer.models.HealthCheckerDetails(**kwargs)¶
Bases:
objectThe health check policy’s configuration details.
Methods:
__init__(**kwargs)Initializes a new HealthCheckerDetails object with values from keyword arguments.
Attributes:
Gets the default_weight of this HealthCheckerDetails.
Gets the interval_in_millis of this HealthCheckerDetails.
Gets the is_dynamic_backend_weight_enabled of this HealthCheckerDetails.
Gets the is_force_plain_text of this HealthCheckerDetails.
Gets the port of this HealthCheckerDetails.
[Required] Gets the protocol of this HealthCheckerDetails.
Gets the response_body_regex of this HealthCheckerDetails.
Gets the retries of this HealthCheckerDetails.
Gets the return_code of this HealthCheckerDetails.
Gets the timeout_in_millis of this HealthCheckerDetails.
Gets the url_path of this HealthCheckerDetails.
- __init__(**kwargs)¶
Initializes a new HealthCheckerDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
protocol (str) – The value to assign to the protocol property of this HealthCheckerDetails.
url_path (str) – The value to assign to the url_path property of this HealthCheckerDetails.
port (int) – The value to assign to the port property of this HealthCheckerDetails.
return_code (int) – The value to assign to the return_code property of this HealthCheckerDetails.
retries (int) – The value to assign to the retries property of this HealthCheckerDetails.
timeout_in_millis (int) – The value to assign to the timeout_in_millis property of this HealthCheckerDetails.
interval_in_millis (int) – The value to assign to the interval_in_millis property of this HealthCheckerDetails.
response_body_regex (str) – The value to assign to the response_body_regex property of this HealthCheckerDetails.
is_dynamic_backend_weight_enabled (bool) – The value to assign to the is_dynamic_backend_weight_enabled property of this HealthCheckerDetails.
default_weight (int) – The value to assign to the default_weight property of this HealthCheckerDetails.
is_force_plain_text (bool) – The value to assign to the is_force_plain_text property of this HealthCheckerDetails.
- property default_weight¶
Gets the default_weight of this HealthCheckerDetails. You can configure this fallback backend weight when dynamic backend weights are enabled and the backend’s HTTP health check response does not include a valid X-Dynamic-Backend-Weight header value.
This value must be an integer from 1 through 100.
Setting defaultWeight does not enable dynamic backend weights. To enable dynamic backend weights, set isDynamicBackendWeightEnabled to true. If your request includes defaultWeight, you must also set isDynamicBackendWeightEnabled to true; otherwise, the request is rejected.
On create, if dynamic backend weights are enabled and this field is omitted or null, the service uses 1.
For TCP health checks, this field is accepted and stored, but it has no runtime effect.
Example: 1
- Returns
The default_weight of this HealthCheckerDetails.
- Return type
int
- property interval_in_millis¶
Gets the interval_in_millis of this HealthCheckerDetails. The interval between health checks, in milliseconds.
Example: 10000
- Returns
The interval_in_millis of this HealthCheckerDetails.
- Return type
int
- property is_dynamic_backend_weight_enabled¶
Gets the is_dynamic_backend_weight_enabled of this HealthCheckerDetails. You can enable dynamic backend weights for HTTP health checks.
When enabled, the load balancer reads the X-Dynamic-Backend-Weight header from each backend’s HTTP health check response. The load balancer uses that value as the backend’s effective weight when distributing traffic.
A valid header value is an integer from 0 through 100.
If the backend response does not include this header, or includes an invalid value, the load balancer uses defaultWeight.
If omitted during create, the default is false.
For TCP health checks, this field is accepted and stored, but it has no runtime effect.
- Returns
The is_dynamic_backend_weight_enabled of this HealthCheckerDetails.
- Return type
bool
- property is_force_plain_text¶
Gets the is_force_plain_text of this HealthCheckerDetails. Specifies if health checks should always be done using plain text instead of depending on whether or not the associated backend set is using SSL.
If “true”, health checks will be done using plain text even if the associated backend set is configured to use SSL.
If “false”, health checks will be done using SSL encryption if the associated backend set is configured to use SSL. If the backend set is not so configured the health checks will be done using plain text.
Example: false
- Returns
The is_force_plain_text of this HealthCheckerDetails.
- Return type
bool
- property port¶
Gets the port of this HealthCheckerDetails. The backend server port against which to run the health check. If the port is not specified, the load balancer uses the port information from the Backend object.
Example: 8080
- Returns
The port of this HealthCheckerDetails.
- Return type
int
- property protocol¶
[Required] Gets the protocol of this HealthCheckerDetails. The protocol the health check must use; either HTTP or TCP.
Example: HTTP
- Returns
The protocol of this HealthCheckerDetails.
- Return type
str
- property response_body_regex¶
Gets the response_body_regex of this HealthCheckerDetails. A regular expression for parsing the response body from the backend server.
Example: ^((?!false).|s)*$
- Returns
The response_body_regex of this HealthCheckerDetails.
- Return type
str
- property retries¶
Gets the retries of this HealthCheckerDetails. The number of retries to attempt before a backend server is considered “unhealthy”. This number also applies when recovering a server to the “healthy” state.
Example: 3
- Returns
The retries of this HealthCheckerDetails.
- Return type
int
- property return_code¶
Gets the return_code of this HealthCheckerDetails. The status code a healthy backend server should return.
Example: 200
- Returns
The return_code of this HealthCheckerDetails.
- Return type
int
- property timeout_in_millis¶
Gets the timeout_in_millis of this HealthCheckerDetails. The maximum time, in milliseconds, to wait for a reply to a health check. A health check is successful only if a reply returns within this timeout period.
Example: 3000
- Returns
The timeout_in_millis of this HealthCheckerDetails.
- Return type
int
- property url_path¶
Gets the url_path of this HealthCheckerDetails. The path against which to run the health check.
Example: /healthcheck
- Returns
The url_path of this HealthCheckerDetails.
- Return type
str